Api referenceAssets

List project assets

GET
/v1/projects/{projectId}/assets

List assets currently bound to the project.

Authorization

BearerAuth
AuthorizationBearer <token>

Send an existing generated API key as Authorization: Bearer sk_indream_.... OAuth access tokens are not accepted by the Open API. Enter the API key manually in the interactive docs playground. The value is stored only in the current browser and is not injected from server environment variables.

In: header

Path Parameters

projectId*string
Formatuuid

Query Parameters

pageSize?integer
Default80
Range1 <= value <= 100
pageCursor?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.indream.ai/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/assets"
{
  "data": [
    {
      "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8",
      "type": "string",
      "source": "string",
      "filename": "string",
      "mimetype": "string",
      "size": 0,
      "fileUrl": "string",
      "fileKey": "string",
      "width": 0,
      "height": 0,
      "duration": 0
    }
  ],
  "meta": {
    "nextPageCursor": "string"
  }
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}
{
  "type": "FORBIDDEN",
  "title": "Forbidden",
  "status": 403,
  "detail": "The current account is not eligible for this Open API route",
  "errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}